package com.playlet.web.service.app;

import com.playlet.system.domain.PlayletUser;
import com.playlet.web.req.PlayUserReq;

/**
 * <p>短剧小程序用户service</p>
 * @author clunt
 */
public interface PlayletUserAppService {

    /**
     * @param openid 微信唯一凭证
     * @return 短剧用户
     */
    PlayletUser getByOpenId(String openid);

    /**
     * @param playUserReq 手机号登陆
     * @return 结果
     */
    PlayletUser getByPhone(PlayUserReq playUserReq) throws Exception;

    /**
     * @param playUserReq 密码登录
     * @return 结果
     */
    PlayletUser getByPassword(PlayUserReq playUserReq) throws Exception;

    /**
     * @param playletUser 填写用户资料
     */
    void updatePlayletUser(PlayletUser playletUser);

    /**
     * @param playUserReq 用户资料
     */
    void updatePasswordByCode(PlayUserReq playUserReq) throws Exception;

}
